package nl.iobyte.themeparkconnector.api.network.packet.operator;

import nl.iobyte.themeparkconnector.api.network.payload.operator.OperatorStatePayload;
import nl.iobyte.themeparkconnector.api.operator.objects.panel.OperatorItemState;
import nl.iobyte.themeparkconnector.api.packet.enums.PacketChannel;
import nl.iobyte.themeparkconnector.api.packet.objects.AbstractPacket;

public class OperatorStatePacket extends AbstractPacket {

    public OperatorStatePacket(String item_id, OperatorItemState state, String data) {
        super(PacketChannel.CLIENT_OPERATOR_STATE, new OperatorStatePayload(
                item_id,
                state,
                data
        ));
    }

}
