package nl.iobyte.themeparkconnector.listeners;

import nl.iobyte.themepark.ThemePark;
import nl.iobyte.themepark.api.event.ridecount.RideCountAddEvent;
import nl.iobyte.themepark.api.ridecount.objects.RideCount;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import java.util.HashMap;

public class RideCountListener implements Listener {

    @EventHandler
    public void onAdd(RideCountAddEvent e) {
        RideCount rc = e.getRideCount();
        ThemePark.getInstance().getAPI().getDatabaseService().executeAsync(
                "remote",
                "INSERT INTO ridecounts(uuid, attraction_id, year, month, week, day, count) VALUES (?,?,?,?,?,?,?) ON DUPLICATE KEY UPDATE count=?",
                new HashMap<>() {{
                    put(1, rc.getUUID().toString());
                    put(2, rc.getAttractionID());
                    put(3, rc.getYear());
                    put(4, rc.getMonth());
                    put(5, rc.getWeek());
                    put(6, rc.getDay());
                    put(7, rc.getCount());
                    put(8, rc.getCount());
                }}
        );
    }

}
